The Ultrasn0w was broken on iOS 4.3.1 on iPhone 4 and iPhone 3GS on iOS 4.3.1. This Ultrasn0w will not Unlock any new baseband, this will be the fix version which will work on iOS 4.3.1 officially. Recently we told you that you can install Ultrasn0w fixer to make your iPhone work on iOS 4.3.1 on old Basebands. Now the Dev-Team member @MuscleNerd Tweeted that:

The 4.3.1 issues (signal bars, etc) are fixed http://is.gd/OYktXf but need a few days to test all devices + FW (again: not a new unlock!)

They have some how managed to make the Ultrasn0w work on previous Unlockable Basebands which are 1.59.00,5.12.03,5.13.03,6.15.00. Once again no new baseband will be Unlocked.